Package org.apache.batchee.container.impl.controller.batchlet

## Class BatchletStepController

- java.lang.Object
- - org.apache.batchee.container.impl.controller.BaseStepController
  - - org.apache.batchee.container.impl.controller.SingleThreadedStepController
    - - org.apache.batchee.container.impl.controller.batchlet.BatchletStepController

- All Implemented Interfaces:
    `Controller`, `ExecutionElementController`

      public class BatchletStepController
      extends SingleThreadedStepController

- - ### Field Summary

    - ### Fields inherited from class org.apache.batchee.container.impl.controller.SingleThreadedStepController

      `collectorProxy`

    - ### Fields inherited from class org.apache.batchee.container.impl.controller.BaseStepController

      `analyzerStatusQueue, jobExecutionImpl, jobInstance, kernelService, persistenceManagerService, restartAfterCompletion, rootJobExecutionId, step, stepContext, stepName, stepStatus, transactionManager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BatchletStepController​(RuntimeJobExecution jobExecutionImpl, Step step, StepContextImpl stepContext, long rootJobExecutionId, BlockingQueue<PartitionDataWrapper> analyzerStatusQueue, ServicesManager manager)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `invokeCoreStep()` |
    `void` | `stop()` |
    `protected boolean` | `wasStopIssued()` |

    - ### Methods inherited from class org.apache.batchee.container.impl.controller.SingleThreadedStepController

      `invokeCollectorIfPresent, invokePostStepArtifacts, invokePreStepArtifacts, sendCollectorDataToAnalyzerIfPresent, sendStatusFromPartitionToAnalyzerIfPresent, setupStepArtifacts`

    - ### Methods inherited from class org.apache.batchee.container.impl.controller.BaseStepController

      `execute, getLastRunStepExecutions, isRestartExecution, markJobAndStepFailed, persistExitStatusAndEndTimestamp, persistUserData, resolveUserData, setParentStepContext, setStepContext, shouldStepBeExecuted, statusStarting, storeUserData, toString, updateBatchStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.batchee.container.Controller

      `getLastRunStepExecutions`

- - ### Constructor Detail

    - #### BatchletStepController

          public BatchletStepController​(RuntimeJobExecution jobExecutionImpl,
                                        Step step,
                                        StepContextImpl stepContext,
                                        long rootJobExecutionId,
                                        BlockingQueue<PartitionDataWrapper> analyzerStatusQueue,
                                        ServicesManager manager)

  - ### Method Detail

    - #### wasStopIssued

          protected boolean wasStopIssued()

    - #### invokeCoreStep

          protected void invokeCoreStep()
                                 throws BatchContainerServiceException

      Specified by:
        `invokeCoreStep` in class `BaseStepController`
      Throws:
        `BatchContainerServiceException`

    - #### stop

          public void stop()